#pragma once
#ifndef wifi_h
#define wifi_h

//$$$$$$$$$$$$$$$$$$$$$$$$ BIBLIOTHEQUES $$$$$$$$$$$$$$$$$$$$$$$$

//$$$$$$$$$$$$$$$$$$$$$$$$ FICHIERS $$$$$$$$$$$$$$$$$$$$$$$$

//$$$$$$$$$$$$$$$$$$$$$$$$ DECLARATIONS $$$$$$$$$$$$$$$$$$$$$$$$
// Communication Wifi ESP8266-01
#define MY_SSID "Dionysos"				// Nom SSID du rseau local
#define MY_PASS_WORD "2521fayence"		// Mot de passe (8 caractres mini) rseau local

// Connexion ESP en protocole UDP 
const int UDP_TIMEOUT = 2000;			// Timeout in miliseconds to wait for an UDP packet to arrive

// Code de connexion a un serveur de temps NTP (Network Time Protocol)
#define SYNC_INTERVAL 36000				// Intervale en secondes entre synchronisations NTP (36000 = 10h)
const int NTP_PACKET_SIZE = 48;			// NTP timestamp is in the first 48 bytes of the message
extern unsigned long epoch;					// Temps time_t (en secondes) Unix epoch coul depuis le 1/1/1970
extern unsigned long secsSince1900;			// Temps time_t (en secondes) NTP coul depuis le 1/1/1900

// Dclaration communication Virtuino 
//VirtuinoEsp8266_WebServer virtuino(Serial1);    // Connexion HardwareSerial via Serial1. Dsactiver sofwareSerial dans VirtuinoEsp8266_WebServer.h
//boolean flagToVirtuinoWrite = 0;		// Flag criture des donnes vers Virtuino

// Fonctions
void initialiserWifiEsp();
void connecterUdp();
void connecterNtp();
//time_t getNtpTime();
void sendNTPpacket(char* ntpSrv);
void  resetArduino();
//void etatWifi();

#endif;